Logger Class Reference

Logger class - handles ofstreams and syslog. More...

`#include <Logger.h>`

Inheritance diagram for Logger:

## Public Member Functions

| Logger ()
| Constructor - derived from std::ostream.
| ~Logger ()
| Destructor - close our logging stream.
void | open (std::string file)
| Open our logging output.
void | close ()
| Close depending on type.
std::string | types ()
| Provide a list of available logging types.

## Detailed Description

Logger class - handles ofstreams and syslog.

## Member Function Documentation

## open()

void Logger::open | ( | std::string | file | ) |

inline

Open our logging output.

Parameters

  file | input file name

## types()

std::string Logger::types | ( |  | ) |

inline

Provide a list of available logging types.

Returns
  std::string list of available logging types

References types().

Referenced by types().

The documentation for this class was generated from the following file:

- Logger.h